
##
# readHSfile(file) - read horizontally stacked MAEXplorer array 
# expression data
# Args: file is the data file name
# Value: data frame with 
#    (hData, sampleNames, condNames, allCondNames,
#     nConds, nGenes, isVertStacked)
##
readHSfile <- function(file)
{ # readHSfile
  sampleNames <- scan(file, sep="\t", what="", nlines=1)
  allCondNames <- scan(file, sep="\t", what="", nlines=1, skip=1)
  condNames <- unique(allCondNames [-1])
  hData <- read.table(file, header=TRUE, row.names=1,skip=2,
                       col.names=sampleNames)
  nConds <- length(condNames)
  nGenes <- nrow(hData)
  return(hData=hData,sampleNames=sampleNames,condNames=condNames,
         allCondNames=allCondNames,nConds=nConds,nGenes=nGenes,
         isVertStacked=FALSE)
} # end of readHSfile
